package com.gyee.alarm;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;


@SpringBootApplication
@EnableScheduling
@EnableAsync
@MapperScan("com.gyee.alarm.mapper")
public class AlarmScannerMain {
    public static void main(String[] args) throws Exception {
        SpringApplication.run(AlarmScannerMain.class, args);

        System.out.println("完成");
    }
}
