package com.gyee.alarm.model.auto;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备模型指标
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicDeviceModelMetrics extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID",type = IdType.INPUT)
    private String id;

    /**
     * 设备
     */
    private String deviceId;

    /**
     * 设备名称
     */
    private String deviceModel;

    /**
     * 标准编码
     */
    private String metricCode;

    /**
     * 统一编码
     */
    private String uniformCode;

    /**
     * 系数
     */
    private BigDecimal multiplier;


}
